Package ghidra.program.model.listing

# Enum Class CodeUnitFormatOptions.ShowBlockName

java.lang.Object
java.lang.Enum<CodeUnitFormatOptions.ShowBlockName>
ghidra.program.model.listing.CodeUnitFormatOptions.ShowBlockName

All Implemented Interfaces:
  `Serializable`, `Comparable<CodeUnitFormatOptions.ShowBlockName>`, `Constable`

Enclosing class:
  CodeUnitFormatOptions

public static enum CodeUnitFormatOptions.ShowBlockName extends Enum<CodeUnitFormatOptions.ShowBlockName>
`ShowBlockName` defines the valid options for controlling the display of block names on labels.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Indicator to show the block name in all address, label, or operand representations.
  `NEVER`
  Indicator to never the show block name in an address, label, or operand representation.
  `NON_LOCAL`
  Indicator to show the block name in address, label, or operand representations which are not contained within the current block.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeUnitFormatOptions.ShowBlockName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CodeUnitFormatOptions.ShowBlockName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final CodeUnitFormatOptions.ShowBlockName NEVER
    Indicator to never the show block name in an address, label, or operand representation.

  - ### ALWAYS

    public static final CodeUnitFormatOptions.ShowBlockName ALWAYS
    Indicator to show the block name in all address, label, or operand representations.

  - ### NON_LOCAL

    public static final CodeUnitFormatOptions.ShowBlockName NON_LOCAL
    Indicator to show the block name in address, label, or operand representations which are not contained within the current block.

- ## Method Details

  - ### values

    public static CodeUnitFormatOptions.ShowBlockName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CodeUnitFormatOptions.ShowBlockName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null